<?php

namespace src\inputs;

use src\traits\CreateParams;

class Checkbox
{
    use CreateParams;

    private string $name;
    private string $value;
    private array $paramsArray;

    public function __construct(string $name, string $value, array $paramsArray = [])
    {
        $this->name = $name;
        $this->value = $value;
        $this->paramsArray = $paramsArray;
    }
    public function create(): void
    {
        $paramsString = $this->createParams($this->paramsArray);
        echo "<input name='$this->name' type='checkbox' value='$this->value' $paramsString >";
    }

    public static function build(string $name, string $value, array $paramsArray): void
    {
        $checkbox = new self($name, $value, $paramsArray);
        $checkbox->create();

    }

}