<?php

namespace src\inputs;
use src\traits\CreateParams;
class Radio
{
    use CreateParams;

    private $name;
    private $paramsArray;
    public function __construct(string $name, array $paramsArray = [])
    {
        $this->name = $name;
        $this->paramsArray = $paramsArray;
    }

    /**
     * @return void
     */
    public function create(): void
    {
        $paramsString = $this->createParams($this->paramsArray);
        echo "<input name='$this->name' type='radio' $paramsString>";
    }

    /**
     * @param string $name
     * @param array $paramsArray
     * @return void
     */
    public static function build(string $name, array $paramsArray = []): void
    {
        $label = new self($name, $paramsArray);
        $label->create();
    }
}